Bug 425479 - Pressing escape in fullscreen mode should leave fullscreen
Summary: Pressing escape in fullscreen mode should leave fullscreen
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: 20.08.0
Platform: Archlinux Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2020-08-18 06:39 UTC by Mathew
Modified: 2020-09-22 22:08 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 20.12


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathew 2020-08-18 06:39:02 UTC
SUMMARY
Pressing esc whilst in fullscreen mode goes to a folder view. Pressing escape again will leave fullscreen mode. This should leave fullscreen mode, then go to the folder view.

STEPS TO REPRODUCE
1. Go into fullscreen with an image open
2. Press escape

OBSERVED RESULT
Goes into a folder view whilst still in fullscreen

EXPECTED RESULT
Should leave fullscreen

SOFTWARE/OS VERSIONS
KDE Plasma Version: 5.19.3
KDE Frameworks Version: 5.72.0
Qt Version: 5.15.0
Kernel Version: 5.7.8-arch1-1
OS Type: 64-bit
Comment 1 Bug Janitor Service 2020-09-22 21:42:34 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/gwenview/-/merge_requests/14
Comment 2 Nate Graham 2020-09-22 22:07:50 UTC
Git commit f5cb19e887902599a31e0b8169a6dfd3a57069cf by Nate Graham, on behalf of Michael Augaitis.
Committed on 22/09/2020 at 22:07.
Pushed by ngraham into branch 'master'.

Fix ESC key not exiting fullscreen when viewing image

The event filter was not catching the QEvent::ShortcutOverride
event in browsemainpage.cpp and therefore when the ESC
key was pressed, gwenview would browse images instead
of leaving fullscreen. This commit ensures that when
the ESC key is pressed the first time, gwenview will
exit fullscreen and will browse images on second key
press.

M  +1    -1    app/browsemainpage.cpp
M  +5    -0    app/viewmainpage.cpp

https://invent.kde.org/graphics/gwenview/commit/f5cb19e887902599a31e0b8169a6dfd3a57069cf